## GladeDesignView GladeDesignView — A widget to embed the workspace. |

## Functions

GtkWidget * | glade_design_view_new ()
GladeProject * | glade_design_view_get_project ()
GladeDesignView * | glade_design_view_get_from_project ()

## Types and Values

| GladeDesignView

## Description

Use this widget to embed toplevel widgets in a given GladeProject.

## Functions

### glade_design_view_new ()

    GtkWidget *
    glade_design_view_new (GladeProject *project);

#### Parameters

project | A GladeProject |

#### Returns

a new GladeDesignView.

[transfer full]

### glade_design_view_get_project ()

    GladeProject *
    glade_design_view_get_project (GladeDesignView *view);

#### Parameters

view | A GladeDesignView |

#### Returns

a GladeProject.

[transfer none]

### glade_design_view_get_from_project ()

    GladeDesignView *
    glade_design_view_get_from_project (GladeProject *project);

#### Parameters

project | A GladeProject |

#### Returns

a GladeDesignView.

[transfer none][nullable]

## Types and Values

### GladeDesignView

    typedef struct _GladeDesignView GladeDesignView;